petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoLineSearchComputeObjective

Computes the objective function value at a given point

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchComputeObjective(TaoLineSearch ls, Vec x, PetscReal *f)

Collective on TaoLineSearch Many br

### Input Parameters

| ls | - the TaoLineSearch context Many br
| x | - input vector Many br

### Output Parameter

f -Objective value at X Many br

Notes: TaoLineSearchComputeObjective() is typically used within line searches Many brso most users would not generally call this routine themselves. Many br

Many br

### See Also

TaoLineSearchComputeGradient(), TaoLineSearchComputeObjectiveAndGradient(), TaoLineSearchSetObjectiveRoutine()

Level:developer
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages